NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Preferences.SessionModeling Class Reference

Represents the set of Modeling preferences applicable to entire session More...

Inheritance diagram for NXOpen.Preferences.SessionModeling:
NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyTypeOption { Solid, Sheet }
 Describes whether the body type is solid or sheet More...
 
enum  BooleanFacePropertiesInheritance { TargetBody, ToolBody }
 Describes whether the display of Boolean Face properties inherits from target body or tool body More...
 
enum  CurveFitMethodType { Cubic, Quintic, Advanced }
 Describes whether the Curve Fit Method type is selected as cubic or quintic or advanced More...
 
enum  DeleteChildFeaturesOptionType { Yes = 1, No, Ask }
 Options for controling delete child features, including recipe curves, of a feature being deleted More...
 
enum  DynamicUpdateType { None, Incremental, Continuous }
 Describes whether the Dynamic Update type is not selected or selected as incremental or continuous More...
 
enum  EndpointDisplayStyleType { OpenCircle, FilledCircle, PlusSign, Cross }
 Styles for display endpoints of curves More...
 
enum  FreeFormConstructionResultType { Plane, BSurface }
 Describes whether the Free Form Construction Result is plane or B Surface More...
 
enum  ImmediateChildrenType { FirstLevel, All }
 Describes whether the Immediate Children type is selected for first level or for all More...
 
enum  LinkedAndExtractedGeometryPropertiesInheritance { ParentObject, PartDefault }
 Describes whether the display of linked and extracted geometry properties inherits from parent object or part default More...
 
enum  NewFacePropertiesInheritance { Body, PartDefault }
 Describes whether the display of New Face properties inherits from body or part default More...
 
enum  PoleDisplayStyleType {
  None, OpenCircle, FilledCircle, PlusSign,
  Cross
}
 Styles for display poles of B curves and B surfaces More...
 
enum  PoleEditStyleType {
  Sphere3d, OpenCircle, FilledCircle, PlusSign,
  Cross
}
 Styles for edit poles of B curves and B surfaces More...
 
enum  PolylineStyleType {
  Solid = 1, Dashed, Phantom, Centerline,
  Dotted, Longdashed, Dotteddashed
}
 Styles for polylines of B curves and B surfaces More...
 
enum  PreviewResolutionType {
  None, Coarse, Standard, Fine,
  ExtraFine, SuperFine, UltraFine
}
 Freeform preview resolutions More...
 
enum  SaveDataForFeatureEditOption { None, FastRollback, FastRollbackAndPreviousStateOfFailedFeature }
 Options for controling what additional data needs to be saved in part file to enhance the feature edit More...
 
enum  ShareGeometriesOnSaveType { DontShare, Share }
 Options for saving a part file with sharing of geometry data to reduce file size More...
 
enum  SketchDefaultActionType { EditWithRollback, Edit }
 Double click action for sketches More...
 
enum  SketchEditType { InTaskEnvironment, Direct }
 Edit option for sketches More...
 
enum  SplineDefaultActionTypes { StudioSpline, Xform }
 Specifies the command that should be invoked when double-clicking on a spline. More...
 
enum  SurfaceExtensionOption {
  Linear, Soft, Reflective, Natural,
  Arc
}
 Options for controling how surfaces will be extended while moving geometry More...
 

Properties

unsafe int AccelerationColor [get, set]
 Returns or sets the acceleration color More...
 
unsafe bool ActivateFeatureGroupWithRollback [get, set]
 Returns or sets the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature More...
 
unsafe bool AllowEditingOfDimensionOfInternalSketch [get, set]
 Returns or sets the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e. More...
 
unsafe bool AssociativeEditFreeForm [get, set]
 Returns or sets the associative edit free form option. More...
 
unsafe
NXOpen.Preferences.SessionModeling.BodyTypeOption 
BodyType [get, set]
 Returns or sets the body type. More...
 
unsafe
NXOpen.Preferences.SessionModeling.BooleanFacePropertiesInheritance 
BooleanFaceProperties [get, set]
 Returns or sets the boolean face properties inheritance. More...
 
unsafe double ConvertAnalyticToConvergentAngularTolerance [get, set]
 Returns or sets the angular tolerance for converting analytic body to Convergent body More...
 
unsafe double ConvertAnalyticToConvergentDistanceTolerance [get, set]
 Returns or sets the distance tolerance for converting analytic body to Convergent body More...
 
unsafe int CurvatureColor [get, set]
 Returns or sets the curvature color More...
 
unsafe
NXOpen.Preferences.SessionModeling.CurveFitMethodType 
CurveFitMethod [get, set]
 Returns or sets the curve fit method. More...
 
unsafe
NXOpen.Preferences.SessionModeling.DeleteChildFeaturesOptionType 
DeleteChildFeaturesOption [get, set]
 Returns or sets the delete child features options More...
 
unsafe bool DisplayLegacyFeatureName [get, set]
 Returns or sets the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav More...
 
unsafe
NXOpen.Preferences.SessionModeling.DynamicUpdateType 
DynamicUpdate [get, set]
 Returns or sets the dynamic update. More...
 
unsafe bool EditWithRollbackUponDoubleClick [get, set]
 Returns or sets the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow. More...
 
unsafe bool EnableTrimmedAnimation [get, set]
 Returns or sets the enable trimmed animation setting. More...
 
unsafe int EndpointDisplayColor [get, set]
 Returns or sets the color for display endpoints for curves. More...
 
unsafe bool EndpointDisplayInheritColor [get, set]
 Returns or sets the endpoint color inherit option, for display with curves. More...
 
unsafe
NXOpen.Preferences.SessionModeling.EndpointDisplayStyleType 
EndpointDisplayStyle [get, set]
 Returns or sets the style (2D disk, mark, etc. More...
 
unsafe
NXOpen.Preferences.SessionModeling.FreeFormConstructionResultType 
FreeFormConstructionResult [get, set]
 Returns or sets the free form construction result. More...
 
unsafe
NXOpen.Preferences.SessionModeling.ImmediateChildrenType 
ImmediateChildren [get, set]
 Returns or sets the immediate children. More...
 
unsafe bool InterruptUpdateOnError [get, set]
 Returns or sets the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback. More...
 
unsafe bool InterruptUpdateOnMissingReferences [get, set]
 Returns or sets the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback. More...
 
unsafe bool InterruptUpdateOnWarning [get, set]
 Returns or sets the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback. More...
 
unsafe
NXOpen.Preferences.SessionModeling.LinkedAndExtractedGeometryPropertiesInheritance 
LinkedAndExtractedGeometryProperties [get, set]
 Returns or sets the linked and extracted geometry properties inheritance. More...
 
unsafe bool MakeCurrentOnError [get, set]
 Returns or sets the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback. More...
 
unsafe bool MakeDatumsInternal [get, set]
 Returns or sets the option specifying whether to automatically make the datums internal during the sketch creation. More...
 
unsafe bool MakeSketchesInternal [get, set]
 Returns or sets the option specifying whether to automatically make sketch internal during feature creation. More...
 
unsafe
NXOpen.Preferences.SessionModeling.NewFacePropertiesInheritance 
NewFaceProperties [get, set]
 Returns or sets the new face properties inheritance. More...
 
unsafe bool NotifyOnDelete [get, set]
 Returns or sets the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features. More...
 
unsafe int PmarkFrequency [get, set]
 Returns or sets the features/mark. More...
 
unsafe int PoleDisplayColor [get, set]
 Returns or sets the color for display poles for B curves. More...
 
unsafe bool PoleDisplayInheritColor [get, set]
 Returns or sets the pole color inherit option, for display with B curves. More...
 
unsafe
NXOpen.Preferences.SessionModeling.PoleDisplayStyleType 
PoleDisplayStyle [get, set]
 Returns or sets the style (3D ball, 2D disk, mark, etc. More...
 
unsafe int PoleEditColor [get, set]
 Returns or sets the color for editing poles for B curves and B surfaces. More...
 
unsafe bool PoleEditInheritColor [get, set]
 Returns or sets the pole color inherit option, for editing B curves and B surfaces. More...
 
unsafe
NXOpen.Preferences.SessionModeling.PoleEditStyleType 
PoleEditStyle [get, set]
 Returns or sets the style (3D ball, 2D disk, mark, etc. More...
 
unsafe int PolylineDisplayColor [get, set]
 Returns or sets the color for display polylines for B curves and B surfaces More...
 
unsafe bool PolylineDisplayInheritColor [get, set]
 Returns or sets the polyline color inherit option, for display with B curves and B surfaces. More...
 
unsafe
NXOpen.Preferences.SessionModeling.PolylineStyleType 
PolylineDisplayStyle [get, set]
 Returns or sets the style (solid, dashed, etc. More...
 
unsafe int PolylineEditColor [get, set]
 Returns or sets the color for editing polylines for B curves and B surfaces. More...
 
unsafe bool PolylineEditInheritColor [get, set]
 Returns or sets the polyline color inherit option, for editing B curves and B surfaces. More...
 
unsafe
NXOpen.Preferences.SessionModeling.PolylineStyleType 
PolylineEditStyle [get, set]
 Returns or sets the style (solid, dashed, etc. More...
 
unsafe int PositionColor [get, set]
 Returns or sets the position color More...
 
unsafe
NXOpen.Preferences.SessionModeling.PreviewResolutionType 
PreviewResolution [get, set]
 Returns or sets the preview resolution setting. More...
 
unsafe
NXOpen.Preferences.SessionModeling.SaveDataForFeatureEditOption 
SaveDataForFeatureEdit [get, set]
 Returns or sets the option "Save Data for Feature Edit" specifies what additional data will be saved in the part to enhance feature edit. More...
 
unsafe
NXOpen.Preferences.SessionModeling.ShareGeometriesOnSaveType 
ShareGeometriesOption [get, set]
 Returns or sets the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not More...
 
unsafe bool ShowSimuationUiInModeling [get, set]
 Returns or sets the option to specify whether simulation specific UI should show up in modeling More...
 
unsafe
NXOpen.Preferences.SessionModeling.SketchDefaultActionType 
SketchDefaultAction [get, set]
 Returns or sets the sketch default action More...
 
unsafe
NXOpen.Preferences.SessionModeling.SketchEditType 
SketchEditOption [get, set]
 Returns or sets the option that determines whether or not task environment is used to edit the sketch More...
 
unsafe
NXOpen.Preferences.SessionModeling.SplineDefaultActionTypes 
SplineDefaultActionType [get, set]
 Returns or sets the value indicating the default action for a spline. More...
 
unsafe
NXOpen.Preferences.SessionModeling.SurfaceExtensionOption 
SurfaceExtension [get, set]
 Returns or sets the surface extension option. More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 
unsafe int TangentColor [get, set]
 Returns or sets the tangent color More...
 
unsafe bool TreatOneDegreeBsplineAsPolyline [get, set]
 Returns or sets the option to treat single degree bspline as polyline More...
 
unsafe bool UpdateDelayed [get, set]
 Returns or sets the update delayed option. More...
 
unsafe bool UpdateFailureReportPreference [get, set]
 Returns or sets the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle. More...
 
unsafe bool UpdatePending [get, set]
 Returns or sets the update pending option. More...
 
unsafe bool UseTriangularMesh [get, set]
 Returns or sets the use triangular mesh setting setting. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Detailed Description

Represents the set of Modeling preferences applicable to entire session

To obtain an instance of this class, refer to NXOpen.Preferences.SessionPreferences

Created in NX3.0.0

Member Enumeration Documentation

Describes whether the body type is solid or sheet

Enumerator
Solid 

Indicates Body Type is solid

Sheet 

Indicates Body Type is solid

Describes whether the display of Boolean Face properties inherits from target body or tool body

Enumerator
TargetBody 

Indicates that display of boolean face properties inherits from target body

ToolBody 

Indicates that display of boolean face properties inherits from tool body

Describes whether the Curve Fit Method type is selected as cubic or quintic or advanced

Enumerator
Cubic 

Indicates the Curve Fit Method type is cubic

Quintic 

Indicates the Curve Fit Method type is quintic

Advanced 

Indicates the Curve Fit Method type is advanced

Options for controling delete child features, including recipe curves, of a feature being deleted

Enumerator
Yes 

Delete child features including recipe curves, of a feature being deleted

No 

Do not delete child features of feature being deleted

Ask 

Ask user "Do you want to delete child features?"

Describes whether the Dynamic Update type is not selected or selected as incremental or continuous

Enumerator
None 

Indicates that Dynamic Update type is not selected, this option is deprecated from NX12.0

Incremental 

Indicates that Dynamic Update type is incremental

Continuous 

Indicates that Dynamic Update type is continuous

Styles for display endpoints of curves

Enumerator
OpenCircle 
FilledCircle 
PlusSign 
Cross 

Describes whether the Free Form Construction Result is plane or B Surface

Enumerator
Plane 

Indicates the construction result option is plane

BSurface 

Indicates the construction result option is B Surface

Describes whether the Immediate Children type is selected for first level or for all

Enumerator
FirstLevel 

Indicates that Immediate Children type is at first level

All 

Indicates that Immediate Children type is at all level

Describes whether the display of linked and extracted geometry properties inherits from parent object or part default

Enumerator
ParentObject 

Indicates that display of linked and extracted geometry properties inherits from parent object

PartDefault 

Indicates that display of linked and extracted geometry properties inherits from part default

Describes whether the display of New Face properties inherits from body or part default

Enumerator
Body 

Indicates that display of new face properties inherits from body

PartDefault 

Indicates that display of new face properties inherits from part default

Styles for display poles of B curves and B surfaces

Enumerator
None 
OpenCircle 
FilledCircle 
PlusSign 
Cross 

Styles for edit poles of B curves and B surfaces

Enumerator
Sphere3d 
OpenCircle 
FilledCircle 
PlusSign 
Cross 

Styles for polylines of B curves and B surfaces

Enumerator
Solid 
Dashed 
Phantom 
Centerline 
Dotted 
Longdashed 
Dotteddashed 

Freeform preview resolutions

Enumerator
None 
Coarse 
Standard 
Fine 
ExtraFine 
SuperFine 
UltraFine 

Options for controling what additional data needs to be saved in part file to enhance the feature edit

Enumerator
None 

Indicates the no additional data is saved

FastRollback 

Indicates the additional parasolid data is saved for faster rollback

FastRollbackAndPreviousStateOfFailedFeature 

Indicates the additional parasolid data is saved for faster rollback and to show the previous state of failed feature

Options for saving a part file with sharing of geometry data to reduce file size

Enumerator
DontShare 
Share 

Double click action for sketches

Enumerator
EditWithRollback 

Edit sketch with rollback on double click

Edit 

Edit sketch without rollback on double click

Edit option for sketches

Enumerator
InTaskEnvironment 

Edit sketch in task environment

Direct 

Edit sketch without entering task environment

Specifies the command that should be invoked when double-clicking on a spline.

The option applies to non-associative splines and Studio Spline features in the Shape Studio application only.

Enumerator
StudioSpline 

Specifies Studio Spline for editing a spline

Xform 

Specifies X-form for editing a spline

Options for controling how surfaces will be extended while moving geometry

Enumerator
Linear 
Soft 
Reflective 
Natural 
Arc 

Property Documentation

unsafe int NXOpen.Preferences.SessionModeling.AccelerationColor
getset

Returns or sets the acceleration color

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.ActivateFeatureGroupWithRollback
getset

Returns or sets the flag to activate the feature group with rollback or not, if the flag is true, the highest member feature will be made as current feature

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.AllowEditingOfDimensionOfInternalSketch
getset

Returns or sets the option "allow_editing_of_dimension_of_internal_sketch" gives choice, whether or not the sketch dimensions will display and be possible to select and edit directly, without entering the Sketch task environment when a dialog (e.

g. Extrude, Revolve, Hole etc.) is active which allows editing on an internal sketch.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.AssociativeEditFreeForm
getset

Returns or sets the associative edit free form option.

Specify whether the output of editing certain free form features remain as free form features or as unparameterized features.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.BodyTypeOption NXOpen.Preferences.SessionModeling.BodyType
getset

Returns or sets the body type.

Toggles between Solid and Sheet. When creating bodies through curves, the Body Type option provides control to the type of body (for example, solid body vs. sheet body) that is created.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.BooleanFacePropertiesInheritance NXOpen.Preferences.SessionModeling.BooleanFaceProperties
getset

Returns or sets the boolean face properties inheritance.

Specifies whether the boolean face properties inherit from target body or tool body

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.SessionModeling.ConvertAnalyticToConvergentAngularTolerance
getset

Returns or sets the angular tolerance for converting analytic body to Convergent body

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.Preferences.PartModeling.ConvertAnalyticToConvergentAngularTolerance instead.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Preferences.SessionModeling.ConvertAnalyticToConvergentDistanceTolerance
getset

Returns or sets the distance tolerance for converting analytic body to Convergent body

Created in NX11.0.0

Deprecated in NX12.0.0. Use NXOpen.Preferences.PartModeling.ConvertAnalyticToConvergentDistanceTolerance instead.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.CurvatureColor
getset

Returns or sets the curvature color

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.CurveFitMethodType NXOpen.Preferences.SessionModeling.CurveFitMethod
getset

Returns or sets the curve fit method.

Controls the fitting method used when curves must be approximated by splines.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.DeleteChildFeaturesOptionType NXOpen.Preferences.SessionModeling.DeleteChildFeaturesOption
getset

Returns or sets the delete child features options

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.DisplayLegacyFeatureName
getset

Returns or sets the toggle "Display Legacy Feature names" gives choice, how user wants feature name in "Name" Coulmn in Partnav checked toggled(True) will show old feature names in "Name" column in Partnav, while unchecked toggled(False) will show new translatable feature names in "Name" column in Partnav

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.DynamicUpdateType NXOpen.Preferences.SessionModeling.DynamicUpdate
getset

Returns or sets the dynamic update.

Specifies that the system dynamically displays in real time with each updation of parent curves, splines, bridge curves, lines or arcs

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.EditWithRollbackUponDoubleClick
getset

Returns or sets the option "Edit with Rollback upon Double-Click" gives choice of what action to be taken on feature upon Double clicking, either in partnavigator or in Graphics widow.

if the option is true then edit with rollback will be happen upon Double-click. if the option is false then the previous default action will be executed

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.EnableTrimmedAnimation
getset

Returns or sets the enable trimmed animation setting.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.EndpointDisplayColor
getset

Returns or sets the color for display endpoints for curves.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.EndpointDisplayInheritColor
getset

Returns or sets the endpoint color inherit option, for display with curves.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.EndpointDisplayStyleType NXOpen.Preferences.SessionModeling.EndpointDisplayStyle
getset

Returns or sets the style (2D disk, mark, etc.

) of the endpoints for display of curves.

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.FreeFormConstructionResultType NXOpen.Preferences.SessionModeling.FreeFormConstructionResult
getset

Returns or sets the free form construction result.

Controls free form feature creation when using the Through Curves, Through Curve Mesh, Swept, and Ruled options.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.ImmediateChildrenType NXOpen.Preferences.SessionModeling.ImmediateChildren
getset

Returns or sets the immediate children.

Specifies to which level the dynamic updation is applicable.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.InterruptUpdateOnError
getset

Returns or sets the option "Interrupt Update on Error" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain errors during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.InterruptUpdateOnMissingReferences
getset

Returns or sets the option "Interrupt Update on Missing References" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain missing references during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.InterruptUpdateOnWarning
getset

Returns or sets the option "Interrupt Update on Warning" gives choice, whether the user wants the "Edit During Update" dialog to appear when features contain warnings during feature update/playback.

if the option is true then the dialog will appear. if the option is false then dialog will not appear during feature update.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.LinkedAndExtractedGeometryPropertiesInheritance NXOpen.Preferences.SessionModeling.LinkedAndExtractedGeometryProperties
getset

Returns or sets the linked and extracted geometry properties inheritance.

Specifies whether linked and extracted geometry properties inherits from parent object or part default

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.MakeCurrentOnError
getset

Returns or sets the option "Make Current on Error" gives choice, whether the user wants to make error feature current when features contain errors during feature update/playback.

If the option is true then the error feature will be made current. If the option is false then the error feature will not be made current feature during feature update.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.MakeDatumsInternal
getset

Returns or sets the option specifying whether to automatically make the datums internal during the sketch creation.

If the option is true then datums are automatically made internal to child sketches, else datums are not automatically made internal to child sketches.

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.MakeSketchesInternal
getset

Returns or sets the option specifying whether to automatically make sketch internal during feature creation.

If the option is true then external sketches are automatically made internal to child features, else external sketches are not automatically made internal to child features.

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.NewFacePropertiesInheritance NXOpen.Preferences.SessionModeling.NewFaceProperties
getset

Returns or sets the new face properties inheritance.

Specifies whether new face properties inherits from body or part default

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.NotifyOnDelete
getset

Returns or sets the option " Notify on Delete " gives choice, whether the user wants a notification message when a feature is being deleted will effect other features.

if the option is true then it popup a notification message. if the option is false then it will not popup any notification message

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.PmarkFrequency
getset

Returns or sets the features/mark.

Controls how often, during feature creation and editing, the system sets internal marks used in updating. A Features/Mark value of 5, for example, means that one mark will be set after five features are created or edited.

Created in NX3.0.0

Deprecated in NX12.0.0. No replacement. One pmark will be set after each feature.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.PoleDisplayColor
getset

Returns or sets the color for display poles for B curves.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.PoleDisplayInheritColor
getset

Returns or sets the pole color inherit option, for display with B curves.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.PoleDisplayStyleType NXOpen.Preferences.SessionModeling.PoleDisplayStyle
getset

Returns or sets the style (3D ball, 2D disk, mark, etc.

) of the poles for display of B curves.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.PoleEditColor
getset

Returns or sets the color for editing poles for B curves and B surfaces.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.PoleEditInheritColor
getset

Returns or sets the pole color inherit option, for editing B curves and B surfaces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.PoleEditStyleType NXOpen.Preferences.SessionModeling.PoleEditStyle
getset

Returns or sets the style (3D ball, 2D disk, mark, etc.

) of the poles for editing B curves and B surfaces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.PolylineDisplayColor
getset

Returns or sets the color for display polylines for B curves and B surfaces

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.PolylineDisplayInheritColor
getset

Returns or sets the polyline color inherit option, for display with B curves and B surfaces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.PolylineStyleType NXOpen.Preferences.SessionModeling.PolylineDisplayStyle
getset

Returns or sets the style (solid, dashed, etc.

) of the polylines display for B curves and B surfaces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.PolylineEditColor
getset

Returns or sets the color for editing polylines for B curves and B surfaces.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.PolylineEditInheritColor
getset

Returns or sets the polyline color inherit option, for editing B curves and B surfaces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.PolylineStyleType NXOpen.Preferences.SessionModeling.PolylineEditStyle
getset

Returns or sets the style (solid, dashed, etc.

) of the polylines for editing B curves and B surfaces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Preferences.SessionModeling.PositionColor
getset

Returns or sets the position color

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.PreviewResolutionType NXOpen.Preferences.SessionModeling.PreviewResolution
getset

Returns or sets the preview resolution setting.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.SaveDataForFeatureEditOption NXOpen.Preferences.SessionModeling.SaveDataForFeatureEdit
getset

Returns or sets the option "Save Data for Feature Edit" specifies what additional data will be saved in the part to enhance feature edit.

Rollback data improves feature edit performance. Previous state data is a copy of a face or body input to a feature for visual reference while editing a failed feature.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.ShareGeometriesOnSaveType NXOpen.Preferences.SessionModeling.ShareGeometriesOption
getset

Returns or sets the option " Share Geometry on Save " gives choice of whether to share geometries among Parasolid solid entities on save or not

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.ShowSimuationUiInModeling
getset

Returns or sets the option to specify whether simulation specific UI should show up in modeling

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.SketchDefaultActionType NXOpen.Preferences.SessionModeling.SketchDefaultAction
getset

Returns or sets the sketch default action

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.SketchEditType NXOpen.Preferences.SessionModeling.SketchEditOption
getset

Returns or sets the option that determines whether or not task environment is used to edit the sketch

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.SplineDefaultActionTypes NXOpen.Preferences.SessionModeling.SplineDefaultActionType
getset

Returns or sets the value indicating the default action for a spline.

Created in NX7.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Preferences.SessionModeling.SurfaceExtensionOption NXOpen.Preferences.SessionModeling.SurfaceExtension
getset

Returns or sets the surface extension option.

Controls how surfaces will be extended while moving geometry

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: None.

Tag NXOpen.Preferences.SessionModeling.Tag
get

Returns the tag of this object.

unsafe int NXOpen.Preferences.SessionModeling.TangentColor
getset

Returns or sets the tangent color

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.TreatOneDegreeBsplineAsPolyline
getset

Returns or sets the option to treat single degree bspline as polyline

Created in NX10.0.0

Deprecated in NX1847.0.0. Use NXOpen.Preferences.PartModeling.TreatOneDegreeBsplineAsPolyline instead.

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.UpdateDelayed
getset

Returns or sets the update delayed option.

If the option is true, then an edited feature does not update until NXOpen.Update.DoUpdate is explicitly called. If the option is false, then the edited feature updates immediately. The default is false.

Created in NX3.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionModeling.UpdateFailureReportPreference
getset

Returns or sets the option "Update Failure Report" gives choice, whether the user wants the update failure report to be generated for the features that failed during current update cycle.

If the option is true then the update failure report will be launched at the end of every update cycle. It will list only those features that failed in that update cycle. If the option is false then no such report will be launched.

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Preferences.SessionModeling.UpdatePending
getset

Returns or sets the update pending option.

This option only works when the NXOpen::Preferences::SessionModeling::UpdateDelayed option is true. If the option is true, there is an edited feature to be updated till NXOpen.Update.DoUpdate is explicitly called. If the option is false, there is not an edited feature to be updated. The default is false.

Created in NX9.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")

unsafe bool NXOpen.Preferences.SessionModeling.UseTriangularMesh
getset

Returns or sets the use triangular mesh setting setting.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.